com.atid.lib.module.rfid.uhf.types

## Enum Mask6cAction

- java.lang.Object
- - java.lang.Enum<Mask6cAction>
  - - com.atid.lib.module.rfid.uhf.types.Mask6cAction

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<Mask6cAction>

      public enum Mask6cAction
      extends java.lang.Enum<Mask6cAction>
      implements IEnumType

  The Mask6cAction enumeration type indicates the status of the Flag when the RFID UHF module performs the Inventory operation and the pattern of the given Selection Mask is set as the Target value of the Selection Mask according to the condition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AB`
    `AN`
    `BA`
    `BN`
    `MN`
    `NA`
    `NB`
    `NM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(Mask6cTarget target)`
    `static Mask6cAction` | `valueOf(int code)`
    `static Mask6cAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mask6cAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AB

          public static final Mask6cAction AB

    - #### AN

          public static final Mask6cAction AN

    - #### NB

          public static final Mask6cAction NB

    - #### MN

          public static final Mask6cAction MN

    - #### BA

          public static final Mask6cAction BA

    - #### BN

          public static final Mask6cAction BN

    - #### NA

          public static final Mask6cAction NA

    - #### NM

          public static final Mask6cAction NM

  - ### Method Detail

    - #### values

          public static Mask6cAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mask6cAction c : Mask6cAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mask6cAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<Mask6cAction>`

    - #### toString

          public java.lang.String toString(Mask6cTarget target)

    - #### valueOf

          public static Mask6cAction valueOf(int code)